#
# spec file for package python-bencode
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%define oldpython python
Name:           python-bencode
Version:        1.2.0
Release:        lp151.2.2
Summary:        The BitTorrent bencode module as light-weight, standalone package
License:        BitTorrent-1.1
Group:          Development/Languages/Python
Url:            http://bittorrent.com/
Source:         https://files.pythonhosted.org/packages/source/b/bencode.py/bencode.py-1.2.0.tar.gz
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module pbr}
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This package simply re-packages the existing bencoding and bdecoding
implemention from the 'official' BitTorrent client as a separate,
leight-weight package for re-using them without having the entire
BitTorrent software as a dependency.

%prep
%setup -q -n bencode.py-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes -s %{buildroot}%{$python_sitelib}

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%{python_sitelib}/*

%changelog
* Tue May  2 2017 Greg.Freemyer@gmail.com
- update to match bencode v1.2.0
  * See bencode v.2.0 for history.  This package is a simple fork of the metadata decode logic.
- add buildrequires: python-pbr which is used to provide reasonable defaults python's setup tool
- convert to python singlespec
* Sat Aug 23 2014 mardnh@gmx.de
- Initial package release, version 1.0
